VERSION 5.00
Begin VB.UserControl UserControl1 
   BackColor       =   &H00C0C0FF&
   BorderStyle     =   1  'Fixed Single
   CanGetFocus     =   0   'False
   ClientHeight    =   495
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   495
   ClipControls    =   0   'False
   HasDC           =   0   'False
   InvisibleAtRuntime=   -1  'True
   ScaleHeight     =   495
   ScaleWidth      =   495
End
Attribute VB_Name = "UserControl1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

Private Declare Function GetWindowLong Lib "user32" Alias "GetWindowLongA" (ByVal HWND As Long, ByVal nIndex As Long) As Long
Private Declare Function SetWindowPos Lib "user32" (ByVal HWND As Long, ByVal hWndInsertAfter As Long, ByVal X As Long, ByVal y As Long, ByVal cx As Long, ByVal cy As Long, ByVal wFlags As Long) As Long
Const SWP_NOMOVE = &H2
Const SWP_NOSIZE = &H1
Private Const GWL_STYLE = (-16)
Private Const GWL_EXSTYLE = (-20)
Private Const WS_EX_CLIENTEDGE = &H200
Private Const WS_EX_STATICEDGE = &H20000
Private Const SWP_FRAMECHANGED = &H20
Private Const SWP_NOACTIVATE = &H10
Private Const SWP_NOZORDER = &H4

Friend Sub FlatBorder(ByVal HWND As Long)
Dim TFlat As Long
    TFlat = GetWindowLong(HWND, GWL_EXSTYLE)
    TFlat = TFlat And Not WS_EX_CLIENTEDGE Or WS_EX_STATICEDGE
    SetWindowLong HWND, GWL_EXSTYLE, TFlat
    SetWindowPos HWND, 0, 0, 0, 0, 0, SWP_NOACTIVATE Or SWP_NOZORDER Or SWP_FRAMECHANGED Or SWP_NOSIZE Or SWP_NOMOVE
End Sub

Public Property Get Width() As Single
    Width = UserControl.Width
End Property

Public Property Let Width(ByVal Value As Single)
    UserControl.Width = Value
End Property

Public Property Get Height() As Single
    Height = UserControl.Height
End Property

Public Property Let Height(ByVal Value As Single)
    UserControl.Height = Value
End Property

Public Function HWND() As Long
    HWND = UserControl.HWND
End Function

Private Sub UserControl_Show()
Dim ctl As Control

    Me.FlatBorder UserControl.HWND
    'Debug.Print Ambient.DisplayName
    Set ctl = UserControl.Parent.Controls(Ambient.DisplayName)
    Subclass ctl
    Set ctl = Nothing
End Sub

Private Sub UserControl_Terminate()
    UnSubclass
End Sub
